Fix compilation of purple/ with glib 2.32 and newer

RESOLVED FIXED in 1.3

Status

--
blocker
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: florian, Assigned: florian)

Tracking

trunk
x86
Other

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [1.3-wanted])

Attachments

(1 attachment, 1 obsolete attachment)

(Assignee)

Description

5 years ago
*** Original post on bio 1730 at 2012-10-16 22:08:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

5 years ago
Created attachment 8353730 [details] [diff] [review]
Patch

*** Original post on bio 1730 as attmnt 1971 at 2012-10-16 22:08:00 UTC ***

" The recommended way of using GLib has always been to only include the toplevel headers glib.h, glib-object.h, gio.h. Starting with 2.32, GLib enforces this by generating an error when individual headers are directly included. " http://developer.gnome.org/glib/2.32/glib-compiling.html

The attached patch includes changes specific to our usage of libpurple plus an existing meanwhile patch that we found, see:
23:15:22 - unghost: fwiw, https://aur.archlinux.org/packages.php?ID=44209&comments=all has link to corrected meanwhile
23:18:40 - clokep_work: (Or just the patch http://codezen.org/static/fix_glib_includes.patch)
23:25:38 - flo: clokep_work: that patch applies fine for us
Attachment #8353730 - Flags: review?(clokep)
Comment on attachment 8353730 [details] [diff] [review]
Patch

*** Original change on bio 1730 attmnt 1971 at 2012-10-16 22:16:16 UTC ***

>diff --git a/purple/libpurple/protocols/sametime/meanwhile/mw_srvc_dir.h b/purple/libpurple/protocols/sametime/meanwhile/mw_srvc_dir.h
[...]
> #include <glib.h>
>-#include <glib/glist.h>
>+#include <glib.h>
In a few places you've included glib.h twice.
Attachment #8353730 - Flags: review?(clokep) → review-
(Assignee)

Updated

5 years ago
Whiteboard: [1.3-wanted]
(Assignee)

Comment 3

5 years ago
Created attachment 8353820 [details] [diff] [review]
Patch v2

*** Original post on bio 1730 as attmnt 2060 at 2012-11-05 23:31:00 UTC ***

Removed the duplicated glib.h include in 4 files. I hadn't looked at these files, only applied the patch we had found.
Attachment #8353820 - Flags: review?(clokep)
(Assignee)

Comment 4

5 years ago
Comment on attachment 8353730 [details] [diff] [review]
Patch

*** Original change on bio 1730 attmnt 1971 at 2012-11-05 23:31:53 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353730 - Attachment is obsolete: true
Comment on attachment 8353820 [details] [diff] [review]
Patch v2

*** Original change on bio 1730 attmnt 2060 at 2012-11-06 15:22:24 UTC ***

Looks good, thanks! :)
Attachment #8353820 - Flags: review?(clokep) → review+
*** Original post on bio 1730 at 2012-11-06 22:54:36 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/7da3aa835434

Thanks!
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.3
You need to log in before you can comment on or make changes to this bug.